=== debian/changelog ===
rclone (1.53.3-4ubuntu1.22.04.3) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Allen Huang <allen.huang@canonical.com>  Fri, 15 Nov 2024 23:08:32 +0000

rclone (1.53.3-4ubuntu1.22.04.2) jammy-security; urgency=medium

  * No change build due to golang-1.18 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 03 May 2023 13:55:41 +0530

rclone (1.53.3-4ubuntu1.22.04.1) jammy-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Fri, 03 Feb 2023 15:32:09 +0100

rclone (1.53.3-4ubuntu1) jammy; urgency=medium

  * d/p/0008-fix-gdrive-download.patch: remove check for size, so google
    docs are identified solely by not having an MD5 checksum
    (LP: #1937136)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 28 Mar 2022 18:45:23 -0300

rclone (1.53.3-4) unstable; urgency=medium

  * Team upload.
  * Add logrus to the dependencies of the development package.
  * Switch to dh-sequence-*.
  * Add missing build dependency on go-homedir.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 31 Dec 2021 21:12:35 +0100

rclone (1.53.3-3) unstable; urgency=medium

  * Team upload.
  * Add missing build dependency on logrus (Closes: #1002271).

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 31 Dec 2021 20:37:35 +0100

rclone (1.53.3-2) unstable; urgency=medium

  * Team upload.

  [ Thomas Goirand ]
  * Add "Infomaniak kDrive" as possible provider in the package long desc.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on
      golang-github-jlaffaye-ftp-dev.
    + golang-github-rclone-rclone-dev: Drop versioned constraint on
      golang-github-jlaffaye-ftp-dev and golang-github-okzk-sdnotify-dev in
      Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Andrej Shadura ]
  * Backport fix for upstream issue #5632 (move operation for union mounts)
  * Don’t set XDG_{CONFIG,CACHE}_HOME since debhelper already does.
  * Don’t fail to build when tests fail, since there are spurious failures.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 31 Oct 2021 10:56:03 +0100

rclone (1.53.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.53.3
    Closes: #975324 CVE-2020-28924
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.1 (no changes)
  * Change devel package Section to golang

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 27 Nov 2020 02:07:54 +0800

rclone (1.53.1-2) unstable; urgency=medium

  * Team upload.
  * upload to unstable

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 Oct 2020 23:46:28 +0800

rclone (1.53.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release. Closes: #960677.
    - fixes getcwd() failures. Closes: #968320.
  * adds new Build-Depends:
    - golang-github-aalpar-deheap-dev (>= 0.0~git20200318.9a0c288)
    - golang-github-coreos-go-semver-dev (>= 0.3.0)
    - golang-github-hanwen-go-fuse-dev (>= 2.0.3)
    - golang-github-klauspost-compress-dev (>= 1.10.11)
  * update existing versioned dependencies
  * also Build-Depends: golang-github-google-uuid-dev
  * vendor and Godeps subdirs no longer packaged in upstream tarball,
    no need to exclude in debian/copyright or repack in watch file
  * update debian/watch to https://github.com/rclone/rclone
  * run tests in "quicktest" mode (RCLONE_CONFIG="/notfound") to avoid
    live server connections in backend TestIntegration
  * add debian patches
    - ignore_tardigrade_backend.patch ignores the tardigrade backend
      (storj.io/uplink is not yet available, see RFP#971078)
    - skip_TestParseDuration.patch skips TestParseDuration due to
      errors on Linux, see https://github.com/rclone/rclone/issues/4529
    - skip_sftp_webdav_TestIntegration.patch skips the TestIntegration
      test on sftp and webdav backends (they don't recognise quicktest mode)
    - skip_network_tests.patch skips TestAddPlugin and
      TestRemovePlugin in tests for fs/rc/webgui (network connections
      are not available for build tests)
  * ensure source gocode in golang-github-rclone-rclone-dev is not
    executable
  * add hyphen to NAME in manpage for proper parsing
  * use dh_installdocs and dh_installman to install docs.
    Predownload logo_on_light__horizontal_color.svg from
    https://rclone.org/img/logo_on_light__horizontal_color.svg and
    place in doc dir for MANUAL.html.
  * delete generated doc files when cleaning

 -- Drew Parsons <dparsons@debian.org>  Wed, 30 Sep 2020 00:05:13 +0800

rclone (1.50.2-3) unstable; urgency=medium

  * Team upload.
  * Fix missing Build-Depends
    + golang-github-mattn-go-colorable-dev
    It's previously brought by golang-github-spf13-viper-dev
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Add Rules-Requires-Root

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 25 Jun 2020 03:57:45 +0800
