=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/rclone-$1\.tar\.gz/" \
  https://github.com/rclone/rclone/tags .*/v?(\d\S+)\.tar\.gz
