## rclone 1.60.1%2Bdfsg

=== debian/changelog ===
rclone (1.60.1+dfsg-3ubuntu0.24.04.4) noble; urgency=medium

  * Fix authentication error on OneDrive (LP: #2076021)

 -- Simon Johnsson <simon.johnsson@canonical.com>  Tue, 09 Sep 2025 10:36:01 +0200

rclone (1.60.1+dfsg-3ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 26 Jun 2025 12:48:26 +1000

rclone (1.60.1+dfsg-3ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 14:29:16 +1000

rclone (1.60.1+dfsg-3ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 11:04:27 +0530

rclone (1.60.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Disable dh_auto_test on single-CPU machines. Closes: #1031062.
  * Add ca-certificates to Suggests. Closes: #1031358.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Update standards version to 4.6.2, no changes needed.

 -- Santiago Vila <sanvila@debian.org>  Mon, 06 Nov 2023 14:54:00 +0100

rclone (1.60.1+dfsg-2) unstable; urgency=medium

  * Tighten Build-Dependencies

 -- Matthew Vernon <matthew@debian.org>  Tue, 13 Dec 2022 15:16:12 +0000

rclone (1.60.1+dfsg-1) unstable; urgency=medium

  * New upstream version (Closes: #1001261, #991124)
  * Exclude website components w/o source
  * Update d/copyright to reflect all code licenses
  * Add Suggests: fuse | fuse3 (Closes: #1018089)
  * Lintian overrides where necessary
  * Rebase patches

 -- Matthew Vernon <matthew@debian.org>  Wed, 07 Dec 2022 18:04:19 +0000
