=== debian/changelog ===
rclone (1.60.1+dfsg-4ubuntu2) questing; urgency=medium

  * Fixup of previous upload to match SRUs

 -- Simon Johnsson <simon.johnsson@canonical.com>  Thu, 11 Sep 2025 12:06:44 +0200

rclone (1.60.1+dfsg-4ubuntu1) questing; urgency=medium

  * Fix authentication error on onedrive (LP: #2076021)

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Aug 2025 16:37:57 +0200

rclone (1.60.1+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Guillem Jover ]
  * Update gbp configuration following Go Team new workflow.
  * Wrap and sort -ast.
  * Wrap and sort make variable multi values one per line.
  * Add spaces around make variable assignment.
  * Fix indentation for the debian/watch file.
  * Simplify debian/copyright file.
  * Use execute_(before|after)_ instead of override_ and explicit dh calls.
  * Add a debian/.gitignore file.
  * Do not hardcode gopsutil v3.
  * Switch from Built-Using to the Static-Built-Using field.
  * Remove shlibs:Depends substvar usage from -dev package.
  * Switch to Standards-Version 4.7.0 (no changes needed).
  * Update copyright years.

  [ Maytham Alsudany ]
  * Add <!nocheck> constraint to stretchr-testify and remove from Depends.
  * Set build directory to _build in d/rules.
  * Update Forwarded header (DEP3).

 -- Guillem Jover <gjover@sipwise.com>  Fri, 04 Oct 2024 03:04:22 +0200
