=== debian/control ===
Source: rclone
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Dr. Tobias Quathamer <toddy@debian.org>,
 Matthew Vernon <matthew@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-bash-completion,
 dh-sequence-golang,
 fuse,
 golang-any,
 golang-bazil-fuse-dev,
 golang-github-a8m-tree-dev,
 golang-github-aalpar-deheap-dev (>= 0.0~git20200318.9a0c288),
 golang-github-abbot-go-http-auth-dev (>= 0.4.0),
 golang-github-anacrolix-dms-dev (>= 1.5.0),
 golang-github-artyom-mtab-dev,
 golang-github-atotto-clipboard-dev (>= 0.1.2),
 golang-github-aws-aws-sdk-go-dev (>= 1.43.26),
 golang-github-azure-azure-pipeline-go-dev (>= 0.2.2),
 golang-github-azure-azure-storage-blob-go-dev (>= 0.15.0),
 golang-github-azure-go-autorest-dev,
 golang-github-azure-go-ntlmssp-dev,
 golang-github-buengese-sgzip-dev,
 golang-github-colinmarc-hdfs-dev,
 golang-github-coreos-bbolt-dev (>= 1.3.5),
 golang-github-coreos-go-semver-dev (>= 0.3.0),
 golang-github-coreos-go-systemd-dev,
 golang-github-djherbis-times-dev,
 golang-github-dop251-scsu-dev,
 golang-github-dropbox-dropbox-sdk-go-unofficial-dev (>= 6.0.4),
 golang-github-gabriel-vasile-mimetype-dev,
 golang-github-gdamore-tcell.v2-dev,
 golang-github-go-chi-chi-dev (>= 5.0.7),
 golang-github-google-uuid-dev,
 golang-github-hanwen-go-fuse-dev (>= 2.0.3),
 golang-github-hirochachacha-go-smb2-dev,
 golang-github-iguanesolutions-go-systemd-dev,
 golang-github-jcmturner-gokrb5.v8-dev,
 golang-github-jlaffaye-ftp-dev,
 golang-github-jzelinskie-whirlpool-dev,
 golang-github-klauspost-compress-dev (>= 1.10.11),
 golang-github-koofr-go-httpclient-dev,
 golang-github-koofr-go-koofrclient-dev,
 golang-github-mattn-go-colorable-dev (>= 0.1.7),
 golang-github-max-sum-base32768-dev,
 golang-github-mitchellh-go-homedir-dev,
 golang-github-ncw-go-acd-dev,
 golang-github-ncw-swift-v2-dev,
 golang-github-nsf-termbox-go-dev,
 golang-github-okzk-sdnotify-dev,
 golang-github-patrickmn-go-cache-dev,
 golang-github-pkg-errors-dev,
 golang-github-pkg-sftp-dev (>= 1.13.4),
 golang-github-pkg-xattr-dev,
 golang-github-protonmail-go-crypto-dev,
 golang-github-putdotio-go-putio-dev,
 golang-github-rclone-ftp-dev (>= 1.0.0-221014.e44dedb),
 golang-github-rfjakob-eme-dev (>= 1.1.1),
 golang-github-sevlyar-go-daemon-dev (>= 0.1.5),
 golang-github-shirou-gopsutil-dev (>= 3.22.4),
 golang-github-sirupsen-logrus-dev,
 golang-github-skratchdot-open-golang-dev,
 golang-github-spf13-cobra-dev (>= 1.0.0),
 golang-github-spf13-pflag-dev (>= 1.0.5),
 golang-github-stretchr-testify-dev (>= 1.6.1) <!nocheck>,
 golang-github-unknwon-goconfig-dev,
 golang-github-xanzy-ssh-agent-dev (>= 0.2.1),
 golang-github-youmark-pkcs8-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-golang-x-oauth2-google-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-text-dev (>= 0.3.3),
 golang-golang-x-time-dev,
 golang-google-api-dev (>= 0.61.0),
 pandoc,
 python3,
Standards-Version: 4.7.0
Homepage: https://github.com/rclone/rclone
Vcs-Browser: https://salsa.debian.org/go-team/packages/rclone
Vcs-Git: https://salsa.debian.org/go-team/packages/rclone.git
XS-Go-Import-Path: github.com/rclone/rclone

Package: golang-github-rclone-rclone-dev
Section: golang
Architecture: all
Depends:
 golang-bazil-fuse-dev,
 golang-github-a8m-tree-dev,
 golang-github-abbot-go-http-auth-dev (>= 0.4.0),
 golang-github-anacrolix-dms-dev (>= 1.5.0),
 golang-github-artyom-mtab-dev,
 golang-github-atotto-clipboard-dev,
 golang-github-aws-aws-sdk-go-dev (>= 1.43.26),
 golang-github-azure-azure-storage-blob-go-dev (>= 0.15.0),
 golang-github-azure-go-autorest-dev,
 golang-github-azure-go-ntlmssp-dev,
 golang-github-buengese-sgzip-dev,
 golang-github-colinmarc-hdfs-dev,
 golang-github-coreos-bbolt-dev,
 golang-github-coreos-go-systemd-dev,
 golang-github-djherbis-times-dev,
 golang-github-dropbox-dropbox-sdk-go-unofficial-dev (>= 6.0.4),
 golang-github-gabriel-vasile-mimetype-dev,
 golang-github-gdamore-tcell.v2-dev,
 golang-github-go-chi-chi-dev (>= 5.0.7),
 golang-github-google-uuid-dev,
 golang-github-hirochachacha-go-smb2-dev,
 golang-github-iguanesolutions-go-systemd-dev,
 golang-github-jcmturner-gokrb5.v8-dev,
 golang-github-jlaffaye-ftp-dev,
 golang-github-jzelinskie-whirlpool-dev,
 golang-github-koofr-go-httpclient-dev,
 golang-github-koofr-go-koofrclient-dev,
 golang-github-mattn-go-colorable-dev (>= 0.1.7),
 golang-github-max-sum-base32768-dev,
 golang-github-mitchellh-go-homedir-dev,
 golang-github-ncw-go-acd-dev,
 golang-github-ncw-swift-v2-dev,
 golang-github-nsf-termbox-go-dev,
 golang-github-okzk-sdnotify-dev,
 golang-github-patrickmn-go-cache-dev,
 golang-github-pkg-errors-dev (>= 0.9.1),
 golang-github-pkg-sftp-dev (>= 1.13.4),
 golang-github-pkg-xattr-dev,
 golang-github-protonmail-go-crypto-dev,
 golang-github-putdotio-go-putio-dev,
 golang-github-rclone-ftp-dev,
 golang-github-rfjakob-eme-dev,
 golang-github-sevlyar-go-daemon-dev,
 golang-github-shirou-gopsutil-dev (>= 3.22.4),
 golang-github-sirupsen-logrus-dev,
 golang-github-skratchdot-open-golang-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-github-unknwon-goconfig-dev,
 golang-github-xanzy-ssh-agent-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-golang-x-oauth2-google-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-text-dev,
 golang-golang-x-time-dev,
 golang-google-api-dev (>= 0.61.0),
 ${misc:Depends},
Description: go source code of rclone
 Rclone is a program to sync files and directories between the local
 file system and a variety of commercial cloud storage providers.
 .
 This package contains rclone's source code.

Package: rclone
Architecture: any
Static-Built-Using:
 ${misc:Static-Built-Using},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ca-certificates,
 fuse | fuse3,
Description: rsync for commercial cloud storage
 Rclone is a program to sync files and directories between the local
 file system and a variety of commercial cloud storage providers:
 .
  - Google Drive
  - Amazon S3
  - Openstack Swift / Rackspace cloud files / Memset Memstore
  - Dropbox
  - Google Cloud Storage
  - Amazon Drive
  - Microsoft One Drive
  - Hubic
  - Backblaze B2
  - Yandex Disk
  - Infomaniak kDrive / SwissBackup
