=== debian/rules ===
#!/usr/bin/make -f

# Do not build the qingstor storj and mega backends for now, the required
# go packages are not available yet. Also exclude librclone
export DH_GOLANG_EXCLUDES := \
	backend/mega \
	backend/qingstor \
	backend/storj \
	librclone \
	# EOL

# Also install test data
export DH_GOLANG_INSTALL_EXTRA := \
	backend/alias/test \
	backend/drive/test \
	backend/http/test \
	cmd/lsf/testfiles \
	cmd/tree/testfiles \
	# EOL

export BUILDTESTDIR = $(CURDIR)/buildtest

NPROC := $(shell nproc)

# some arches need more than 10 min to run TestTestsToRegexpLive
ARCHES_SLOW_TEST := mips64el mipsel
ifneq ($(findstring $(DEB_BUILD_ARCH),$(ARCHES_SLOW_TEST)),)
  EXTRA_TESTFLAGS := -timeout 20m
endif

%:
	dh $@ --buildsystem=golang --builddirectory=_build

# The docs (MANUAL.md, MANUAL.html and rclone.1 manpage) all
# contain information about the download and installation
# of rclone. This is not useful for Debian.
# The solution is a patch for the docs build system, then
# regenerate the docs. See #941209.
execute_before_dh_install:
	# Generate MANUAL.md
	./bin/make_manual.py
	# Generate HTML and manpage
	pandoc -s --from markdown --to html MANUAL.md -o MANUAL.html
	sed 's|src="https://rclone.org/img/logo_on_light__horizontal_color.svg"|src="logo_on_light__horizontal_color.svg"|g' -i MANUAL.html
	pandoc -s --from markdown --to man MANUAL.md -o rclone.1
	# Now fix some lexgrog errors in the manpage:
	# Remove the only line with .hy on it (near the top of the file)
	sed -i -e "/^\.hy/d" rclone.1
	# Use a proper NAME section header
	sed -i -e "s/^\.SH Rclone/.SH NAME\nRclone \-/" rclone.1
	# Finally, replace the first occurence of .PP with a section header
	sed -i -e "1,/^\.PP/{s/\.PP/.SH DESCRIPTION/}" rclone.1

execute_after_dh_auto_clean:
	rm -f MANUAL.md MANUAL.html rclone.1 || /bin/true

# build-time tests for github.com/ncw/rclone/vfs access the config file
# so provide a null config
override_dh_auto_test:
ifeq ($(NPROC),1)
	@echo "Skipping dh_auto_test, known to hang autobuilder when there is only one CPU."
else
	-export RCLONE_CONFIG="/notfound"; dh_auto_test -- $(EXTRA_TESTFLAGS)
endif

execute_after_dh_fixperms:
	find debian/golang-github-rclone-rclone-dev/usr/share/gocode/src -executable -a -type f | xargs -r chmod a-x
